Name:    lokalize
Summary: Computer-aided translation system
Version: 4.11.5
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdesdk/lokalize
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  pkgconfig(hunspell)

Requires:       kross(python)
Requires:       kdesdk-strigi-analyzers >= %{version}

Conflicts:      kdesdk-common < 4.10.80
Obsoletes:      kdesdk-lokalize < 4.10.80
Provides:       kdesdk-lokalize = %{version}-%{release}


%description
Computer-aided translation system focusing on productivity and performance

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang lokalize --with-kde --without-mo

chmod +x %{buildroot}/%{_kde4_appsdir}/lokalize/scripts/odf/xliffmerge.py
sed -i '1s/^/#!\/bin\/sh\n/' %{buildroot}/%{_kde4_appsdir}/lokalize/scripts/find-gui-text.sh

%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
fi


%files -f lokalize.lang
%doc COPYING COPYING.DOC
%{_kde4_bindir}/lokalize
%{_kde4_appsdir}/lokalize/
%{_kde4_iconsdir}/hicolor/*/apps/lokalize.*
%{_kde4_datadir}/config.kcfg/lokalize.kcfg
%{_kde4_datadir}/applications/kde4/lokalize.desktop

%changelog
* Sat Jan 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.11.5-1
- 4.11.5

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Wed Aug 28 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-2
- fix required version of kdesdk-strigi-analyzers and typo

* Thu Aug 22 2013 Jan Grulich <jgrulich@redhat.com> - 4.11.0-1
- 4.11

* Thu Aug 08 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
